from pyndexter import *
from pyndexter.util import TimingFilter, quote

# path to the directory your pyndexter db is stored in. This script will create the database
# file if it doesn't exit, but will not create the directories.
indexerdir = "/var/www/trac/indexer/"
indexer = 'builtin://' + indexerdir + 'irclogs.idx?cache=true'
print 'Configuration: in trac.ini, under [irclogs], put indexer=' + indexer

# path to the directory your logs are stored in
logdir = "/var/www/supybothome/logs/ChannelLogger/"

framework = Framework(indexer, stemmer='porter://')
framework.add_source('file://%s?include=*.log' % quote(logdir))

framework.update(filter=TimingFilter(progressive=True))

framework.close()

